### Method

# Fwupd Device has_vendor_id

#### Declaration [src]

    gboolean
    fwupd_device_has_vendor_id (
      FwupdDevice* self,
      const gchar* vendor_id
    )

#### Description [src]

Finds out if the device has this specific vendor ID.

Available since: | 1.5.5

#### Parameters

`vendor_id` | `const gchar*`
| The vendor ID, e.g. ‘USB:0x1234’
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the vendor ID is found.